use v5.12.0;
use warnings;





my ($s_my_var1,@a_my_var1,%h_my_var1);
our ($s_var1,@a_var1,%h_var1);

sub foo {
    package main2;
    
    my ($s_my_var0,@a_my_var0,%h_my_var0);
    
    our $s_var0;
    say $s_var1;
    say $qualified::s_var0;

    our @a_var0;
    say @a_var1;
    say @qualified::a_var0;

    our %h_var0;
    say %h_var1;
    say %qualified::h_var0;

    say ($s_my_var0,@a_my_var0,%h_my_var0);
    say ($s_my_var1,@a_my_var1,%h_my_var1);
}


package BLA;
use B::Concise qw/walk_output set_style_standard add_callback/;
use Data::Dump qw/pp dd/;

my $walker = B::Concise::compile('-concise', \&main::foo); # 1
walk_output(\my $buf);
add_callback
  ( sub {
        my ($h, $op, $format, $level, $stylename) = @_;
        use Data::Dump qw/pp dd/;
        warn pp
          $h
          #{ map {$_ => $h->{$_}} qw/NAME arg/ }
          if $h->{arg} =~ /var/;

        warn pp $h
          if
            $h->{name} =~ /rv2hv/i
            or $h->{arg}
            and 1
            ;
    });
$walker->();  		        # 2 renders -concise

print "----concise: \n$buf\n";
